Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/11/2024 in all areas

  1. Just create a few templates and then do a simple import. I don't think having lisp setting them up is worth the trouble , but that's just me...
    2 points
  2. I'd also consider making the borders / title blocks as templates / blocks saved in an archive, insert as required (LISP can speed inserting up), with the text attribute text a required. The templates can have all the layers, line styles and so on defined so on import they are set in the drawing. That will probably remove the need for a dialogue box to edit each drawing titles, just double click to update (could also use Lee Macs Copy Swap Text LISP to copy details between drawings). Creating a drawing could be done by LISP, highlight the area, specify the scale and enter the title details. This might have to be done single drawing at a time rather then pressing a button to create all layouts. I think though, RLX suggestion of templates is the way to go, it might not be exactly what you want just now but I think could be close.
    1 point
  3. From the documentation, the StationOffset method will accept an X & Y coordinate and return two output parameters (station & offset), as such, you'll need to supply the appropriate number of parameters, e.g.: (vlax-invoke-method objAlign 'StationOffset (car point) (cadr point) 'stn 'off) (print stn) (prin1 off)
    1 point
  4. I am super busy, but have built lots of cabinets. Are you familiar with the PUSHPULL command? If not check it out, I believe it is under appreciated. I am unfamiliar with the semi-parametric extrusion functionality you mentioned. I might create a template with different layers for each of those router profiles, and place those profiles oriented appropriately at the confluence of rail and stiles. Or should I say inside corners? Saved as a .DWT file it could speed up appreciably seeing different treatments by scrolling through your layer manager...OR better still scroll through them using the LAYWALK command. Or you could create a rather complex dynamic block to do the same things. But the layered approach sounds interesting to me. Want to add a new profile? Just add as many new layers as you care to. Sounds like fun actually. Once you have that as your default .DWT file, and have driven it around the block a few times, you'll be flyng along. Good luck with it. Nothing to it, but to do it. There is a PUSHPULL tutorial on CadTutor which will really open your eyes as to how helpful it can be.
    1 point
  5. Update: I've come in this morning and with a fresh brain come up with a workaround. I made the drawing a "block" meaning I can make several copies of it, any edits change every instance. it will work for now.
    1 point
  6. Hopefully these make sense as a starting point. ; https://www.cadtutor.net/forum/topic/94735-paragraph-adjust/ ; By AlanH Dec 2024 (defun AH:strippara ( / ent obj str ht ) (setq ent (entsel "\nPick mtext ")) (setq obj (vlax-ename->vla-object (car ent))) (setq str (vlax-get obj 'textstring)) (setq ht (cdr (assoc 40 (entget (car ent))))) (while (wcmatch str "*\\P*") (setq str (vl-string-subst " " "\\P" str)) ) (vlax-put obj 'textstring str) (vlax-put obj 'width (/ (* 0.85 (* ht (strlen str))) 3.)) (princ) ) (defun AH:textlines ( / ) (setq ss (ssget '((0 . "TEXT")))) (setq lst '()) (repeat (setq x (sslength ss)) (setq obj (vlax-ename->vla-object (ssname ss (setq x (1- x))))) (setq str (vlax-get obj 'textstring)) (setq ins (vlax-get obj 'insertionpoint)) (setq y (cadr ins)) (setq lst (cons (list Y str) lst)) ) (setq lst (vl-sort lst '(lambda (x y) (> (car x)(car y))))) (setq str "") (foreach val lst (setq nstr (cadr val)) (setq num (strlen nstr)) (if (= (substr nstr num) ".") (setq str (strcat str " " nstr "\\" "P")) (setq str (strcat str " " nstr)) ) ) (setq pt (getpoint "\nPick point for mtext ")) (setq ht (cdr (assoc 40 (entget (ssname ss 0))))) (command "mtext" Pt (mapcar '+ pt (list 3.5 0.0 0.0)) "-" "") (setq obj (vlax-ename->vla-object (entlast))) (vlax-put obj 'textstring str) (vlax-put obj 'width (/ (* 0.85 (* ht (strlen str))) 3.)) (princ) ) (defun c:T1 ( / )(AH:strippara)) (defun c:T2 ( / )(AH:textlines)) (alert "text-mtext\n\nT1 is used for adding paragrpahs looking for the period .\n\nT2 is used to select plain text and convert to mtext.")
    1 point
  7. I understand just have to have time to do something. I have to change the code to recognise the plines and look inside for circles this way the rectangs will be labelled in sequence.
    1 point
  8. Core console does open drawings but the graphical interface isn't loaded , thats why (if I remember correctly) not all all commands are allowed like dview whatever (basically all commands that invoke a dialog). So core console is faster than script but slower than dbx. I love core console but sadly IT doesn't https://help.autodesk.com/view/OARX/2025/ENU/?guid=AUTOCAD_CORE_CONSOLE
    1 point
  9. Did you look at this, scroll down. It will do an entire directory for you and will not open any dwg's, big advantage over a script. Yes you have to write a very small saveas script file. https://through-the-interface.typepad.com/through_the_interface/2012/02/the-autocad-2013-core-console.html
    1 point
  10. There is a difference between rollover Tool Tips and balloons. Re: InfoCenter. Are you referring to Owen Wengerd's .MSI file? It can be found on the ManuSoft freebies webpage. The full file name is AcadInfoCenterOff.msi. Here is a link to the page. http://www.manusoft.com/software/freebies/misc.html
    1 point
  11. Just revisiting this thread... I was having a similar annoyance with some balloons. Perhaps this link can help you the same as they did me.. http://forums.autodesk.com/t5/AutoCAD-2010-2011-2012-DWG/Help-bubble-won-t-go-away/td-p/3688068/page/2 The was also some registry edit which allowed you to disable the info center or communications center... but I'm afraid I don't remember the specifics. Good luck.
    1 point
×
×
  • Create New...